VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Types | Public Member Functions | List of all members
GetViewOptions Struct Reference

## Public Types
enum | { kNone = 0, kDeep = 1 << 0, kMouseEnabled = 1 << 1, kIncludeViewContainer = 1 << 2, kIncludeInvisible = 1 << 3 }

## Public Member Functions
| GetViewOptions (uint32_t options=kNone)
GetViewOptions & | deep (bool state=true)
GetViewOptions & | mouseEnabled (bool state=true)
GetViewOptions & | includeViewContainer (bool state=true)
GetViewOptions & | includeInvisible (bool state=true)
bool | getDeep () const
bool | getMouseEnabled () const
bool | getIncludeViewContainer () const
bool | getIncludeInvisible () const

## Member Enumeration Documentation

anonymous enum

Enumerator
kNone |
kDeep |
kMouseEnabled |
kIncludeViewContainer |
kIncludeInvisible |

## Constructor & Destructor Documentation

GetViewOptions | ( | uint32_t | options = `kNone` | ) |
| inline explicit

## Member Function Documentation

GetViewOptions& deep | ( | bool | state = `true` | ) |
| inline

bool getDeep | ( |  | ) | const
| inline

bool getIncludeInvisible | ( |  | ) | const
| inline

bool getIncludeViewContainer | ( |  | ) | const
| inline

bool getMouseEnabled | ( |  | ) | const
| inline

GetViewOptions& includeInvisible | ( | bool | state = `true` | ) |
| inline

GetViewOptions& includeViewContainer | ( | bool | state = `true` | ) |
| inline

GetViewOptions& mouseEnabled | ( | bool | state = `true` | ) |
| inline

The documentation for this struct was generated from the following file:

- cviewcontainer.h